Download it now!
Bug 120824 - KDE5: Submenu for Edit -> Object doesn't appear
Summary: KDE5: Submenu for Edit -> Object doesn't appear
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All Linux (All)
: lowest trivial
Assignee: Aleksei Nikiforov
URL:
Whiteboard: target:6.3.0 target:6.2.2
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-10-23 09:09 UTC by Vera Blagoveschenskaya
Modified: 2019-02-28 11:32 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
KDE5 (80.46 KB, image/png)
2018-10-23 09:09 UTC, Vera Blagoveschenskaya
Details
GTK3 (94.14 KB, image/png)
2018-10-23 09:10 UTC, Vera Blagoveschenskaya
Details
screenshot_gen.png (47.76 KB, image/png)
2019-02-25 15:08 UTC, Aleksei Nikiforov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vera Blagoveschenskaya 2018-10-23 09:09:02 UTC
Description:
Submenu for Edit -> Option doesn't appear

Steps to Reproduce:
1. Open LO Writer or Calc
2. Edit -> Object

Actual Results:
Submenu doesn't appear

Expected Results:
Submenu appear or disable this option


Reproducible: Always


User Profile Reset: No



Additional Info:
Reproduced for 

Version: 6.2.0.0.alpha1
Build ID: ff46ad24d1d3cbcea45895520483ed1fd4ff488b
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: kde5; 
Locale: ru-RU (ru_RU.UTF-8); Calc: threaded

DO NOT reproduced for

Version: 6.2.0.0.alpha1
Build ID: ff46ad24d1d3cbcea45895520483ed1fd4ff488b
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: gtk3; 
Locale: ru-RU (ru_RU.UTF-8); Calc: threaded

see screenshots

---

DO NOT reproduced (Option is disabled) for 

Version: 6.1.2.1
Build ID: 65905a128db06ba48db947242809d14d3f9a93fe
CPU threads: 4; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: ru-RU (ru_RU.UTF-8); Calc: group threaded

Version: 5.4.7.2
Build ID: c838ef25c16710f8838b1faec480ebba495259d0
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: ru-RU (ru_RU.UTF-8); Calc: group
Comment 1 Vera Blagoveschenskaya 2018-10-23 09:09:46 UTC
Created attachment 145922 [details]
KDE5
Comment 2 Vera Blagoveschenskaya 2018-10-23 09:10:03 UTC
Created attachment 145923 [details]
GTK3
Comment 3 Xisco Faulí 2018-10-23 14:26:10 UTC
I can reproduce it in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded
Comment 4 Julien Nabet 2018-12-20 20:55:32 UTC
On pc Debian x86-64 with master sources updated today + kde5 rendering, I could reproduce this.

I could get these logs once only:
warn:vcl.kde5:8857:8857:vcl/unx/kde5/KDE5FilePicker2.cxx:425: enable on unknown control210
warn:vcl.kde5:8857:8857:vcl/unx/kde5/KDE5FilePicker2.cxx:443: set label on unknown control1
warn:vcl.kde5:8857:8857:vcl/unx/kde5/KDE5FilePicker2.cxx:443: set label on unknown control6
warn:sfx.doc:8857:8857:sfx2/source/doc/objserv.cxx:690: Fatal IO error during save N3com3sun4star3uno9ExceptionE msg: ModelData_Impl::OutputFileDialog: ERRCODE_IO_ABORT


The other times I tested, I just had these kinds:
warn:vcl.schedule:9265:9265:vcl/source/app/scheduler.cxx:367: we're too early - restart the timer (342ms)!
Comment 5 Aleksei Nikiforov 2019-02-25 15:08:45 UTC
Created attachment 149579 [details]
screenshot_gen.png

I've tried reproducing this issue with various VCL plugins.

When using 'gen' plugin, the menu 'edit' -> 'object' is inactive. Same for 'gtk2' ('gtk') plugin. For 'gtk3' plugin menu contains one item which indicates that it is an empty menu.

It looks like this menu should be inactive for qt5/kde5 backend as well.
Comment 6 Commit Notification 2019-02-26 15:49:48 UTC
Aleksei Nikiforov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ea6b4b743d397f40029291954af6d37d9059042b%5E%21

tdf#120824 KDE5: fix visible/enabled state for menu

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-02-27 21:18:00 UTC
Aleksei Nikiforov committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/8b0a9db87d776dbdb2cbbd1fd79ede13e2504321%5E%21

tdf#120824 KDE5: fix visible/enabled state for menu

It will be available in 6.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Vera Blagoveschenskaya 2019-02-28 11:32:39 UTC
Thanks, Aleksei.

Option is disabled

Version: 6.3.0.0.alpha0+
Build ID: 5413c8871dec08eff19f514f5f391b946a45c86c
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-02-27_23:42:10
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded